# Create a payment

**POST** `/loans/payments`

Creates a payment for a loan. [Read more](/lending/report).

### Body Parameters

- `account_number_id` `string` — ID of the source account number. Source account is required if this payment is not offline, or the loan is not completely owned by your platform. Either `bank_account_id` or `account_number_id` must be specified.
- `amount` `integer` — Amount in cents for principal and interest payments. At least one of `amount` or `principal_amount` must be specified.
- `bank_account_id` `string` — ID of the source bank account. Source account is required if this payment is not offline, or the loan is not completely owned by your platform. Either `bank_account_id` or `account_number_id` must be specified.
- `currency` `string` _(required)_ — The currency of the payment. Currently only `USD` is supported.
- `description` `string` — The description of the loan payment. Maximum: `127` characters.
- `ignore_retained_balances` `boolean` — Indicates whether this payment should be applied to sold balances only. [Read more](/lending/payment).
- `is_offline` `boolean` — Indicates if this payment is an offline payment. Default value: `false`.
- `loan_id` `string` _(required)_ — The ID of the loan to which the payment is being made. The `principal_outstanding` of the loan will decrease by the payment amount.
- `principal_amount` `integer` — Amount in cents for principal payments. At least one of `amount` or `principal_amount` must be specified.

**Request**

```shell
curl 'https://api.column.com/loans/payments' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d amount="1000" \
  -d currency="USD" \
  -d description="first payment" \
  -d loan_id="<loan_id>" \
  -d bank_account_id="<bank_account_id>"
```

**Response 200**

```json
{
  "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
  "amount": 1000,
  "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
  "collection_account_number_id": "",
  "collection_bank_account_id": "",
  "created_at": "2025-08-03T16:25:20Z",
  "currency": "USD",
  "description": "first payment",
  "effective_at": "2025-08-03T16:25:20Z",
  "id": "lpmt_30mgmQvaN3DPwVPfS3mUPMeCtGZ",
  "idempotency_key": "",
  "interest_amount": "0",
  "is_offline": false,
  "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
  "principal_amount": "1000",
  "retained_interest_amount": "0",
  "retained_principal_amount": "1000",
  "status": "completed",
  "ignore_retained_balances": false
}
```
